SolrQuery::setTimeAllowed
SolrException::getInternalInfo
Solr
PHP Manual

# The SolrException class

## Introduction

This is the base class for all exception thrown by the Solr extension classes.

## Class synopsis

SolrException
SolrException extends Exception {
/* Properties */
protected integer $sourceline ;
protected string $sourcefile ;
protected string $zif_name ;
/* Methods */
public array getInternalInfo ( void )
/* Inherited methods */
final public string Exception::getMessage ( void )
final public Exception Exception::getPrevious ( void )
final public int Exception::getCode ( void )
final public string Exception::getFile ( void )
final public int Exception::getLine ( void )
final public array Exception::getTrace ( void )
final public string Exception::getTraceAsString ( void )
public string Exception::__toString ( void )
final private void Exception::__clone ( void )
}

## Properties

message

  The error message

code

  The error code

file

  The userspace php source file where exception was generated

line

  The line in userspace php source file where exception was generated

sourceline

  The line in c-space source file where exception was generated

sourcefile

  The c-space source file where exception was generated

zif_name

  The c-space function where exception was generated

## Table of Contents

- SolrException::getInternalInfo — Returns internal information where the Exception was thrown

SolrQuery::setTimeAllowed
SolrException::getInternalInfo
Solr
PHP Manual